Monday, December 23, 2013

Scaffolding with ASP.NET MVC 4 and Entity Framework 6

If you are currently using ASP.NET MVC 4 and are planning to upgrade to Entity Framework 6 within your solution, you should know about an issue regarding Scaffolding with MVC 4.

When I attempted to scaffold an MVC Controller in my project using Entity Framework 6, I got the following error message:

The link in the dialog box refers to the following online article:

Basically the article stated that you will have to upgrade to ASP.NET MVC 5 in order to use Scaffolding with Entity Framework 6!

Therefore, unless you are currently planning on upgrading your MVC project to the latest version of MVC, you cannot begin using EF 6.

No comments:

Post a Comment